Bug 1461116 - ansible seboolean module does not work with python3 in Fedora 26
Summary: ansible seboolean module does not work with python3 in Fedora 26
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-13 14:29 UTC by Dusty Mabe
Modified: 2017-09-22 08:17 UTC (History)
8 users (show)

Fixed In Version: ansible-2.3.2.0-1.fc26 ansible-2.3.2.0-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 08:17:49 UTC


Attachments (Terms of Use)

Description Dusty Mabe 2017-06-13 14:29:00 UTC
Description of problem:

a libselinux library change [1] causes the seboolean module to fail when using python3 as the interpreter [2].

This bug essentially tracks upstream issue [2]. The implications of this bug are that ansible can't be used to manage sebooleans on hosts where we want to use python3 as the interpreter. 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1460818
[2] https://github.com/ansible/ansible/issues/25651


-- At the time I was running this I was executing ansible on a Fedora 25 host with a Fedora 26 Atomic Host target:

```
$ ansible --version
ansible 2.3.0.0
  config file = /etc/ansible/ansible.cfg
  configured module search path = Default w/o overrides
  python version = 2.7.13 (default, May 10 2017, 20:04:28) [GCC 6.3.1 20161221 (Red Hat 6.3.1-1)]
$ rpm -q ansible
ansible-2.3.0.0-3.fc25.noarch
```

Comment 1 Kevin Fenzi 2017-06-14 20:27:19 UTC
Thanks for the heads up. 

Will see if we need to push this as a patch or can just wait for the next release...

Comment 2 Jason Tibbitts 2017-07-21 19:15:00 UTC
This bit me as well.  Not sure if the next release is scheduled for any time soon  but a fix was very recently committed upstream.

Comment 3 Dusty Mabe 2017-07-21 19:27:09 UTC
if a commit is merged upstream then we could theoretically apply the patch (assuming it's easy) and build a patched version.

Comment 4 Toshio Ernie Kuratomi 2017-07-21 19:36:59 UTC
Unfortunately, the timing is such that the patch upstream won't make it into the next release (2.3.2 which is hopefully going to have just one more rc sometime early next week before 2.3.2 final is out).  2.3.3 or 2.4.0 will be the first release that it shows up in.  Here's the commits for the devel branch and to the staging branch that will eventually be merged into stable-2.3 for 2.3.3 if someone wants to apply it to the Fedora package:

* devel: https://github.com/ansible/ansible/commit/e2d6ecfa40e8123855f0be552183e59d92da07be

* destined for stable-2.3: https://github.com/ansible/ansible/commit/7896bcae95f80a64d18364efbe7e6302397517e6

Comment 5 Toshio Ernie Kuratomi 2017-07-25 22:57:45 UTC
Okay, due to needing another rc, we've landed the fix in stable-2.3 now for 2.3.2rc4.  If all goes well it will make 2.3.2 final.

Comment 6 Fedora Update System 2017-08-13 04:03:23 UTC
ansible-2.3.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-322ae91a75

Comment 7 Fedora Update System 2017-08-24 15:51:03 UTC
ansible-2.3.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-09-05 22:42:43 UTC
ansible-2.3.2.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-503601886f

Comment 9 Fedora Update System 2017-09-06 22:48:56 UTC
ansible-2.3.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-503601886f

Comment 10 Fedora Update System 2017-09-22 08:17:49 UTC
ansible-2.3.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.